> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get uploaded file status and details

> Get uploaded file status and details by specifying `importId`.



## OpenAPI

````yaml inventory.openapi get /inventory-imports/{importId}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Orders Team
  description: >-
    fabric **Inventory** API lets organizations use *Inventory* as a standalone
    service, which functions as the repository of product availability for order
    fulfillment. Typically, Storefront Websites utilize the Inventory service to
    retrieve data, while Warehouse Management Systems (WMS) use it to create and
    update inventory details. fabric's Inventory API includes high-performance
    endpoints built on highly scalable architecture, and includes a configurable
    data model to orchestrate the inventory lifecycle events.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: fabric Inventory API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: These endpoints help in performing reserved network operations
    name: ReservedNetwork Endpoints
  - description: >-
      Inventory Imports endpoints let you upload and download inventory details,
      in bulk, using a CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service
    name: Inventory Imports
  - description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. These endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
    name: Networks
  - description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
    name: Counters
  - description: >-
      fabric **Inventory** API lets organizations use *Inventory* as a
      standalone service, which functions as the repository of product
      availability for order fulfillment. Typically, Storefront Websites utilize
      the Inventory service to retrieve data, while Warehouse Management Systems
      (WMS) use it to create and update inventory details. fabric's Inventory
      API includes high-performance endpoints built on highly scalable
      architecture, and includes a configurable data model to orchestrate the
      inventory lifecycle events.
    name: Inventory
  - description: These endpoints help in performing inventory import file config operations
    name: Inventory Import Configs
  - description: |-
      This endpoint helps perform additional operations for inventory
      management.
    name: Actions Endpoints
externalDocs:
  description: Find out more about fabric Inventory
  url: https://developer.fabric.inc/v3/docs/orders-inventory
paths:
  /inventory-imports/{importId}:
    get:
      tags:
        - Inventory Imports
      summary: Get uploaded file status and details
      description: Get uploaded file status and details by specifying `importId`.
      operationId: getInventoryImportStatus
      parameters:
        - description: Upload file document's unique ID
          example: 62ff5c0bec0aed3c86202c32
          in: path
          name: importId
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricRequestId'
        - $ref: '#/components/parameters/xFabricChannelIdOptional'
      responses:
        '200':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/inventoryImportStatusResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            '*/*':
              example:
                message: Not found
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
    xFabricChannelIdOptional:
      description: >-
        x-fabric-channel-id identifies the sales channel through which the API
        request is being made; primarily for multichannel use cases. It is an
        optional field. The default US channel is 12 while the default Canada
        channel is 13.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: false
      schema:
        type: string
  schemas:
    inventoryImportStatusResponse:
      description: An object containing the inventory import status response details.
      properties:
        attributes:
          description: >-
            Custom attributes. This is a placeholder for additional info in key:
            value pairs
          example:
            attribute: '12345'
          type: object
        createdAt:
          description: Time of import request
          example: '2022-08-01T18:03:28.483Z'
          format: date-time
          type: string
        errorFileUrl:
          description: 'Directory path where file uploaded '
          example: >-
            https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2
          type: string
        fileName:
          description: Uploaded file name
          example: orderUpload.csv
          type: string
        finishedAt:
          description: Date and time file import was completed
          example: '2022-08-01T18:03:28.483Z'
          format: date-time
          type: string
        importCount:
          $ref: '#/components/schemas/importCount'
        importId:
          description: Imported file's unique ID
          example: 62ff5c0bec0aed3c86202c32
          type: string
        originalFileUrl:
          description: Path to download the uploaded file
          example: >-
            https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2
          type: string
        statusCode:
          description: Uploaded file's current status
          enum:
            - INITIATED
            - PROCESSING
            - COMPLETED
            - SYSTEM_ERROR
          example: INITIATED
          type: string
        type:
          enum:
            - INVENTORY
            - INVENTORY_COUNTERS
          example: INVENTORY
          type: string
        updatedAt:
          description: Date and time record was last modified
          example: '2022-08-01T20:03:28.483Z'
          format: date-time
          type: string
      required:
        - createdAt
        - importId
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    importCount:
      description: Import count object
      properties:
        error:
          description: Total rows with errors in the file
          example: 2000
          format: int32
          type: integer
        processed:
          description: >-
            Total rows processed in the file. `processed` = `uploaded` - `error`
            **Note:** Rows that are not formatted according to system
            requirements will not be imported.
          example: 8000
          format: int32
          type: integer
        uploaded:
          description: Total rows in the file
          example: 10000
          format: int32
          type: integer
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````